# == Class: proxmox::params
#
class proxmox::params {
  case $::osfamily {
    'Debian': {
      if $::operatingsystem == 'Debian' and versioncmp($::operatingsystemrelease, '7.0') >= 0 {
        $ve_package_ensure          = 'present'
        $old_package_ensure         = 'absent'    

      } 
    }
    default: {
      fail("Proxmox only works with Debian system; osfamily (${::osfamily}) or lsbdistid (${::lsbdistid}) is unsupported")
    }
  }


} # Private class: proxmox::params
